package com.bonus.hn.bearing.capacity.backstage.personnelPool.service;

import com.bonus.hn.bearing.capacity.backstage.personnelPool.entity.SelfOwnedBean;
import com.bonus.hn.bearing.capacity.backstage.personnelPool.entity.SubcontractorBean;
import com.bonus.hn.bearing.capacity.backstage.personnelPool.entity.SubsidiaryCompanyBean;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 包名称：com.bonus.hn.bearing.capacity.backstage.companypro.service
 * 类名称：ProjectManagerService
 * 类描述：
 * 创建人：@author xxxxxx
 * 创建时间：2023年11月06日 16:26
 */
public interface PersonnelPoolService {

    List<SubsidiaryCompanyBean> getSubsidiaryCompanyList(SubsidiaryCompanyBean bean);

    int updateSwitchListen(SubsidiaryCompanyBean bean);

    int delById(String id);

    int addSubsidiaryCompany(SubsidiaryCompanyBean bean);

    int updateSubsidiaryCompany(SubsidiaryCompanyBean bean);

    List<SubcontractorBean> getSubcontractorList(SubcontractorBean bean);

    int updateSubcontractorSwitchListen(SubcontractorBean bean);

    int delSubcontractorById(String id);

    int addSubcontractor(SubcontractorBean bean);

    int updateSubcontractor(SubcontractorBean bean);

    List<SelfOwnedBean> getSelfOwnedList(SelfOwnedBean bean);

    int SelfOwnedSwitchListen(SelfOwnedBean bean);

    int delSelfOwnedById(String id);

    int addSelfOwned(SelfOwnedBean bean);

    int updateSelfOwned(SelfOwnedBean bean);

    List<SubsidiaryCompanyBean> getWorkRecordList(SubsidiaryCompanyBean bean);

    List<SubsidiaryCompanyBean> getWorkRecordLists(SubsidiaryCompanyBean bean);

    List<SelfOwnedBean> getSelfOwnedWorkRecordList(SelfOwnedBean bean);

    String importExcel(HttpServletRequest request, MultipartFile file, String orgId);

    String subcontractorImport(HttpServletRequest request, MultipartFile file, String subId);

    String selfOwnedImport(HttpServletRequest request, MultipartFile file);

    List<SelfOwnedBean> getDerivedRecordList(SelfOwnedBean bean);
}
